

#==============================================================

function GLOBAL() {

#==============================================================
#
# declare a global variable
#
#==============================================================

    #LIST "$1=$2"
    local name=$1
    shift 1

    eval "$name=\"$@\""
    export $name
    if( $BLACKBOARD_DEBUG == true )
    then
        MESSAGE "$name  =  $@"
    fi
}

#==============================================================

function GLOBAL_DIR() {

#==============================================================
# * cree le chemin si n'existe pas
# * passe le chemin en chemin absolu
#
#
    DIR $2
    local path=$(realpath $2)
    GLOBAL "$1" "$path"

}
#==============================================================

function GLOBAL_DIRX() {

#==============================================================

    local name="$1"
    local value=$(eval "echo \$$name")

    if [ ! -d "$value" ]
    then
        mkdir -p "$value"
    fi
    value=$(realpath $value)
    GLOBAL "$name" "$value"



}

#==============================================================   

function GLOBAL_PATH() {

#==============================================================   

        unset "$1"


}
#==============================================================   

function GLOBAL_PATH_ADD() {

#==============================================================   
#
# add a directory to a path variable
#
#==============================================================   

    #if [ -d "$2" ]
    #then
        eval "$1=$2:\$$1"
        export $1
    #fi

}
#==============================================================   

function GLOBAL_PATH_LS() {

#==============================================================   
#
# add a directory to a path variable
#
#==============================================================   

    local name=$1
    eval "echo \"\$$1\" | LIST_PARSE :"


}


#==============================================================   

function GLOBAL_ASK() {

#==============================================================   
#
# ask for a variable in prompt
#
#==============================================================   

    local var_name=$1
    shift 1
    local prompt="$@"

    read -p "#        $prompt : " output
    GLOBAL "$var_name" "$output"

}
#==============================================================   
 
